import { Sequelize } from "sequelize";

const isProduction = process.env.NODE_ENV === "production";

const sequelize = new Sequelize(
  isProduction ? process.env.DB_NAME_PROD : process.env.DB_NAME,
  isProduction ? process.env.DB_USER_PROD : process.env.DB_USER,
  isProduction ? process.env.DB_PASSWORD_PROD : process.env.DB_PASSWORD,
  {
    host: isProduction ? process.env.DB_HOST_PROD : process.env.DB_HOST,
    dialect: "postgres",
    port: isProduction ? process.env.DB_PORT_PROD : process.env.DB_PORT,
    logging: false, // Disable logging for cleaner output
  }
);

const testConnection = async () => {
  try {
    await sequelize.authenticate();
    console.log("Connection to the database has been established successfully.");
  } catch (error) {
    console.error("Unable to connect to the database:", error);
  }
};

testConnection();

export default sequelize;
